import request from '@/utils/request'

// 查询项目管理过程文件列表
export function listProcessfile(query) {
  return request({
    url: '/buyer/processfile/list',
    method: 'get',
    params: query
  })
}
// 查询过程文件列表
export function projectProcessfiles(query) {
  return request({
    url: '/buyer/processfile/lists',
    method: 'get',
    params: query
  })
}

// 查询项目管理过程文件详细
export function getProcessfile(id) {
  return request({
    url: '/buyer/processfile/' + id,
    method: 'get'
  })
}

// 新增项目管理过程文件
export function addProcessfile(data) {
  return request({
    url: '/buyer/processfile',
    method: 'post',
    data: data
  })
}

// 修改项目管理过程文件
export function updateProcessfile(data) {
  return request({
    url: '/buyer/processfile',
    method: 'put',
    data: data
  })
}

// 删除项目管理过程文件
export function delProcessfile(id) {
  return request({
    url: '/buyer/processfile/' + id,
    method: 'delete'
  })
}
